@import url('./styles/common.scss');
@import url('./styles/config.scss');
@import url('./styles/devices.scss');
@import url('./styles/variable.scss');

@import "sass/_pages";
@import "sass/_ag-grid-custom.scss";

.App {
  text-align: center;
  &.scorebird-logo{
    background: black;
  }
}

.scorebird-global-nav{
  display: none;
}

.logo-container{
  background: #F4F5F7;
  height: 68px;
  display: flex;
  justify-content: center;
  align-items: center;
  > div{
      padding: 0;
  }
  img{
     max-width: 100%;
  }
}

.navigation-links{
  padding-top: 12px;
  padding-right: 12px;
  a{
    text-decoration: none;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    &.is-active{
      button{
        background-color: rgb(5, 54, 127);
        fill: rgb(5, 54, 127);
      }
  }
  }
  .logout-link{
    position: absolute;
    bottom: 12px;
    right: 12px;
    left: 0;
  }
}

.content-header{
  height: 68px;
  .content-header-inner{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
  }
  .left-panel{
    font-size: 14px;
    display: flex;
    align-items: center;
    
    .DropdownMenu-games{
      display: flex;
      order: 1;
      // transform: translateX(1120px);
      margin-left: 1125px;
    }
    .content-label{
      display: flex;
      font-size: 18px;
      align-items: center;
      color: #555D79;
      font-weight: 500;
    
      .back-icon{
        margin-right: 5px;
        transition: 0.3s ease all;
        transform: translateX(0%);
        opacity: 1;
        cursor: pointer;
        &:hover{
          transform: translateX(-40%);
          transition: 0.3s ease all;
          opacity: 0.8;
          span{
             color: #0052CC;
          }
        }
      }
    }
  }
  .right-panel{
    display: flex;
    justify-content: center;
    .content-filters{
      margin: 0px 16px;
      button{
        font-size: 14px;
        color: #42526E;
        text-align: center;
        line-height: 32px;
      }
    } 
   
  }
}

.content-main-container{
  height: calc(100vh - 70px);
  overflow: auto;
  margin: -24px;
  padding: 24px;
  margin-top: 0px;
  padding-top: 0px;
  margin-bottom: 0px;
  padding-bottom: 24px;
  .games-container{
    height: 400px;
    margin-top: 30px;
    background: white;
    .games-list-container{
      position: relative;
      height: calc(100% - 52px);
    }
  }
}

.datepicker-sec{
  display: flex;
    align-items: center;
    margin: 0px 20px;
    font-size: 14px;
    color: rgba(23, 43, 77, 0.5);
    > span{
      margin: 0 10px;
    }
    .datepicker-element{
      min-width: 150px;
    }
     .disable-date{
      pointer-events: none;
      opacity: 0.5;  
    }
    span[role="img"]{
      padding-right: 5px;
    }
}








// common styles

